## qt6-graphs 6.8.2

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Graphs2D Tests
if(QT_FEATURE_graphs_2d)
    if(TARGET Qt::Quick)
        if(WIN32)
            add_subdirectory(qmlbarscatter)
        endif()
        add_subdirectory(qmltestbed)
    endif()
endif()

# Graphs3D Tests
if(QT_FEATURE_graphs_3d)
    if(TARGET Qt::Quick)
        if(QT_FEATURE_graphs_3d_bars3d)
            add_subdirectory(qmlbarsrowcolors)
            add_subdirectory(qmllegend)
            if(DEFINED Qt6Multimedia_DIR AND DEFINED Qt6MultimediaWidgets_DIR)
                add_subdirectory(qmlqtquick3dintegration)
            endif()
        endif()
        if(QT_FEATURE_graphs_3d_scatter3d)
            add_subdirectory(qmlcustominput)
            add_subdirectory(qmldynamicdata)
        endif()
        if(QT_FEATURE_graphs_3d_surface3d)
            add_subdirectory(qmlgradient)
            add_subdirectory(qmlheightmap)
            add_subdirectory(qmlsurfacelayers)
            add_subdirectory(qmlvolume)
        endif()
        if(QT_FEATURE_graphs_3d_bars3d AND QT_FEATURE_graphs_3d_surface3d)
            add_subdirectory(qmltheme)
        endif()
        if(QT_FEATURE_graphs_3d_bars3d AND QT_FEATURE_graphs_3d_scatter3d AND QT_FEATURE_graphs_3d_surface3d)
            add_subdirectory(qmlmultitest)
            add_subdirectory(qmlperf)
        endif()
    endif()
    if(NOT ANDROID AND NOT IOS AND NOT WINRT)
        if(QT_FEATURE_graphs_3d_bars3d)
            add_subdirectory(barstest)
            add_subdirectory(minimalbars)
        endif()
        if(QT_FEATURE_graphs_3d_scatter3d)
            add_subdirectory(custominput)
            add_subdirectory(directional)
            add_subdirectory(minimalscatter)
            add_subdirectory(rotations)
            add_subdirectory(scattertest)
        endif()
        if(QT_FEATURE_graphs_3d_surface3d)
            add_subdirectory(minimalsurface)
            add_subdirectory(surfacetest)
        endif()
        if(QT_FEATURE_graphs_3d_bars3d AND QT_FEATURE_graphs_3d_surface3d)
            add_subdirectory(itemmodel)
            add_subdirectory(itemmodeltest)
        endif()
        if(QT_FEATURE_graphs_3d_bars3d AND QT_FEATURE_graphs_3d_scatter3d AND QT_FEATURE_graphs_3d_surface3d)
            add_subdirectory(multigraphs)
            add_subdirectory(volumetrictest)
        endif()
    endif()
endif()

=== examples/graphs/2d/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

if(TARGET Qt::Quick)
    qt_internal_add_example(hellographs)
    qt_internal_add_example(cockpit)
endif()

=== tests/manual/barstest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_barstest LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_barstest
    GUI
    SOURCES
        chart.cpp chart.h
        sliderwrapper.cpp sliderwrapper.h
        buttonwrapper.cpp buttonwrapper.h
        main.cpp
    )
target_link_libraries(tst_barstest PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Graphs
    Qt::GraphsWidgets
    )

set(barstest_resource_files
    "shuttle.mesh"
    "shuttle.png"
    )

qt_internal_add_resource(tst_barstest "barstest"
    PREFIX
    "/"
    FILES
    ${barstest_resource_files}
    )

=== tests/manual/directional/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_directional LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_directional
    GUI
    SOURCES
    main.cpp
    scatterdatamodifier.cpp scatterdatamodifier.h
    )
target_link_libraries(tst_directional PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Graphs
    Qt::GraphsWidgets
    )

=== tests/manual/itemmodel/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_itemmodel LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_itemmodel
    GUI
    SOURCES
        main.cpp
    )

target_link_libraries(tst_itemmodel PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Widgets
    Qt::Graphs
    Qt::GraphsWidgets
)

=== tests/manual/minimalsurface/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_minimalsurface LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_manual_test(tst_minimalsurface
    GUI
    SOURCES
        ../../../src/graphs3d/widget/doc/snippets/doc_src_q3dsurface_construction.cpp
    )
target_link_libraries(tst_minimalsurface PUBLIC
    Qt::Gui
    Qt::Graphs
    Qt::GraphsWidgets
    )

=== tests/manual/qmlheightmap/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmlheightmap LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmlheightmap
    GUI
    SOURCES
        main.cpp
    )
target_link_libraries(tst_qmlheightmap PUBLIC
    Qt::Gui
    Qt::Graphs
    )

set_source_files_properties("gradientGRAY8.png"
    PROPERTIES QT_RESOURCE_ALIAS "mapGRAY8"
    )
set_source_files_properties("gradientGRAY16.png"
    PROPERTIES QT_RESOURCE_ALIAS "mapGRAY16"
    )
set_source_files_properties("gradientRGB8.png"
    PROPERTIES QT_RESOURCE_ALIAS "mapRGB8"
    )
set_source_files_properties("gradientRGB16.png"
    PROPERTIES QT_RESOURCE_ALIAS "mapRGB16"
    )

set(qmlheightmap_resource_files
    "qml/qmlheightmap/main.qml"
    "gradientGRAY8.png"
    "gradientGRAY16.png"
    "gradientRGB8.png"
    "gradientRGB16.png"
    )
qt_internal_add_resource(tst_qmlheightmap "qmlheightmap"
    PREFIX
    "/"
    FILES
    ${qmlheightmap_resource_files}
    )

=== tests/manual/qmlperf/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmlperf LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmlperf
    GUI
    SOURCES
        datagenerator.cpp datagenerator.h
        main.cpp
    )

target_link_libraries(tst_qmlperf PUBLIC
    Qt::Gui
    Qt::Graphs
    )

set(qmlperf_resource_files
    "qml/qmlperf/main.qml"
    "qml/qmlperf/Tests.qml"
    "qml/qmlperf/AutoTest.qml"
    )

qt_internal_add_resource(tst_qmlperf "qmlperf"
    PREFIX
    "/"
    FILES
    ${qmlperf_resource_files}
    )

=== tests/manual/qmlsurfacelayers/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmlsurfacelayers LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmlsurfacelayers
    GUI
    SOURCES
        main.cpp
    )

target_link_libraries(tst_qmlsurfacelayers PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::Graphs
)

set(qmlsurfacelayers_resource_files
    "qml/qmlsurfacelayers/main.qml"
    "qml/qmlsurfacelayers/ResizableRect.qml"
)

qt6_add_resources(tst_qmlsurfacelayers "qmlsurfacelayers"
    PREFIX
        "/"
    FILES
        ${qmlsurfacelayers_resource_files}
)
set(qmlsurfacelayers1_resource_files
    "layer_1.png"
    "layer_2.png"
    "layer_3.png"
)

qt6_add_resources(tst_qmlsurfacelayers "qmlsurfacelayers1"
    PREFIX
        "/heightmaps"
    FILES
        ${qmlsurfacelayers1_resource_files}
)

=== tests/manual/qmltestbed/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_qmltestbed LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_qmltestbed
    GUI
    SOURCES
        main.cpp
)

target_link_libraries(tst_qmltestbed PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::Graphs
)

set(qmltestbed_resource_files
    "qml/qmltestbed/main.qml"
    "qml/qmltestbed/StartupView.qml"
    "qml/qmltestbed/SettingsView.qml"
    "qml/qmltestbed/CustomCheckBox.qml"
    "qml/qmltestbed/CustomLabel.qml"
    "qml/qmltestbed/CustomSelectionBox.qml"
    "qml/qmltestbed/CustomSlider.qml"
    "qml/qmltestbed/BarThemes.qml"
    "qml/qmltestbed/BarSelection.qml"
    "qml/qmltestbed/BarLabels.qml"
    "qml/qmltestbed/BarChangingSetCount.qml"
    "qml/qmltestbed/BarModelMapping.qml"
    "qml/qmltestbed/LineProperties.qml"
    "qml/qmltestbed/AxisGridSetup.qml"
    "qml/qmltestbed/Callout.qml"
    "qml/qmltestbed/ScatterProperties.qml"
    "qml/qmltestbed/CppBarSeries.qml"
    "qml/qmltestbed/CppLineSeries.qml"
    "qml/qmltestbed/PieChart.qml"
    "qml/qmltestbed/SplineSeries.qml"
    "qml/qmltestbed/CustomBars.qml"
    "qml/qmltestbed/BarsEffect/export/BarsEffect.qml"
    "qml/qmltestbed/AreaSeries.qml"
    "qml/qmltestbed/DynamicSeries.qml"
    "qml/qmltestbed/Donut.qml"
    "qml/qmltestbed/DateTimeAxis.qml"
    "qml/qmltestbed/LineSelection.qml"
    "qml/qmltestbed/AddRemoveSeries.qml"
    "qml/qmltestbed/AddRemovePie.qml"
    "qml/qmltestbed/QmlUsageSeries.qml"
    "qml/qmltestbed/PieModelMapping.qml"
    "qml/qmltestbed/images/arrow_icon.png"
    "qml/qmltestbed/images/icon_settings.png"
    "qml/qmltestbed/images/happy_box.png"
    "qml/qmltestbed/images/Sevillana-Regular.ttf"
    "qml/qmltestbed/images/bar_fg_l.png"
    "qml/qmltestbed/images/bar_fg_r.png"
    "qml/qmltestbed/images/bar_fg_c.png"
    "qml/qmltestbed/images/bar_mask_l.png"
    "qml/qmltestbed/images/bar_mask_r.png"
    "qml/qmltestbed/images/bar_mask_c.png"
    "qml/qmltestbed/BarsEffect/export/barseffect.frag.qsb"
    "qml/qmltestbed/BarsEffect/export/barseffect.vert.qsb"
    "qml/qmltestbed/BarsEffect/export/bar_mask.png"
)

qt_internal_add_resource(tst_qmltestbed "qmltestbed"
    PREFIX
        "/"
    FILES
        ${qmltestbed_resource_files}
)

qt_add_qml_module(tst_qmltestbed
    URI TestbedExample
    VERSION 1.0
    SOURCES
        custombarseries.h custombarseries.cpp
        customlineseries.h customlineseries.cpp
        barsetgenerator.h barsetgenerator.cpp
        barmodelmappermodel.h barmodelmappermodel.cpp
        piemodelmappermodel.h piemodelmappermodel.cpp
)

=== tests/manual/scattertest/CMakeLists.txt ===
# Copyright (C) 2023 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    project(tst_scattertest LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals COMPONENTS STANDALONE_TEST)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

qt_internal_add_manual_test(tst_scattertest
    GUI
    SOURCES
        main.cpp
        scatterchart.cpp scatterchart.h
    )
target_link_libraries(tst_scattertest PUBLIC
    Qt::Gui
    Qt::Widgets
    Qt::Graphs
    Qt::GraphsWidgets
    )

=== src/graphs3d/qml/designer/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

file(GLOB_RECURSE designer_image_files
    RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
    "images/*.png"
)
qt_path_join(images_destination ${QT_INSTALL_DIR} "${INSTALL_QMLDIR}/QtGraphs/designer/images")
qt_copy_or_install(
    FILES
        ${designer_image_files}
    DESTINATION "${images_destination}"
)

qt_path_join(destination ${QT_INSTALL_DIR} "${INSTALL_QMLDIR}/QtGraphs/designer")
qt_copy_or_install(
    FILES
        Bars3DSpecifics.qml
        GraphsCameraSection.qml
        GraphsSection.qml
        Scatter3DSpecifics.qml
        Surface3DSpecifics.qml
        qtgraphs.metainfo
    DESTINATION "${destination}"
)

add_subdirectory(default)

## qt6-graphs 6.7.2

=== debian/changelog ===
qt6-graphs (6.7.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update symbols files from the logs of buildds.
  * Add the qt6-base-dev dependency in qt6-graphs-dev, needed for the base Qt 6
    headers.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Dec 2024 08:21:38 +0100

qt6-graphs (6.7.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1086660)

 -- Patrick Franz <deltaone@debian.org>  Tue, 12 Nov 2024 21:23:26 +0100

=== debian/control ===
Source: qt6-graphs
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-sequence-qmldeps,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.7.2+dfsg~),
               qt6-base-private-dev (>= 6.7.2+dfsg~),
               qt6-declarative-dev (>= 6.7.2+dfsg~),
               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
               qt6-quick3d-dev (>= 6.7.2~),
               qt6-quick3d-private-dev (>= 6.7.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs.git
Rules-Requires-Root: no

Package: libqt6graphs6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs library.

Package: qml6-module-qtgraphs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs QML module.

Package: qt6-graphs-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6graphs6 (= ${binary:Version}),
         qml6-module-qtgraphs (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Graphs - development
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using the Qt Graphs library.

Package: qt6-graphs-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Description: Qt 6 Graphs documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Graphs.

Package: qt6-graphs-doc-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Description: Qt 6 Graphs HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Graphs.

Package: qt6-graphs-examples
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Graphs examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Graphs examples.

## qt6-graphs 6.8.1

=== debian/changelog ===
qt6-graphs (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:35:14 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-graphs
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -9,14 +10,14 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-quick3d-dev (>= 6.7.2~),
-               qt6-quick3d-private-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-quick3d-dev (>= 6.8.1~),
+               qt6-quick3d-private-dev (>= 6.8.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-graphs
@@ -34,6 +35,17 @@
  .
  This package contains the Qt 6 Graphs library.
 
+Package: libqt6graphswidgets6
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Graphs Widgets library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt 6 Graphs Widgets library.
+
 Package: qml6-module-qtgraphs
 Architecture: any
 Multi-Arch: same
@@ -50,8 +62,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6graphs6 (= ${binary:Version}),
+         libqt6graphswidgets6 (= ${binary:Version}),
          qml6-module-qtgraphs (= ${binary:Version}),
-         qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Graphs - development
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-graphs 6.8.2

=== debian/changelog ===
qt6-graphs (6.8.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:36:32 +0100

qt6-graphs (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 14 Feb 2025 19:01:02 +0100

qt6-graphs (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 21:53:47 +0100

qt6-graphs (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update build-deps and deps with the info from cmake.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 13:54:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: qt6-graphs
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-sequence-qmldeps,
+               libcups2-dev,
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-quick3d-dev (>= 6.8.1~),
-               qt6-quick3d-private-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-quick3d-dev (>= 6.8.2~),
+               qt6-quick3d-private-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
@@ -40,7 +40,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Graphs Widgets library
+Description: Qt 6 Graphs Widgetslibrary
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
@@ -64,6 +64,7 @@
 Depends: libqt6graphs6 (= ${binary:Version}),
          libqt6graphswidgets6 (= ${binary:Version}),
          qml6-module-qtgraphs (= ${binary:Version}),
+         qt6-base-dev,
          ${misc:Depends},
 Description: Qt 6 Graphs - development
  Qt is a cross-platform C++ application framework. Qt's primary feature
